package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

/**
 * ResRequest -  资源查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class ResFindRequest extends BaseFindRequest {

    /**
     * 资源代码
     */
    private String resCode;

    /**
     * 资源名称
     */
    private String resName;

    /**
     * 资源类型
     */
    @Dict(name = "RES_TYPE")
    private String resType;

    /**
     * 资源内容
     */
    private String resValue;

    /**
     * 上级代码
     */
    private String supCode;

    /**
     * 上级名称
     */
    private String supName;

    /**
     * 是否有效
     */
    private Boolean valid;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 角色代码
     */
    private Long roleCode;

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }

    public String getResName() {
        return this.resName;
    }

    public void setResName(String resName) {
        this.resName = resName;
    }

    public String getResType() {
        return this.resType;
    }

    public void setResType(String resType) {
        this.resType = resType;
    }

    public String getResValue() {
        return this.resValue;
    }

    public void setResValue(String resValue) {
        this.resValue = resValue;
    }

    public String getSupCode() {
        return this.supCode;
    }

    public void setSupCode(String supCode) {
        this.supCode = supCode;
    }

    public String getSupName() {
        return this.supName;
    }

    public void setSupName(String supName) {
        this.supName = supName;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(Long roleCode) {
        this.roleCode = roleCode;
    }
}
